Bug 444601 - Review Request: pem - Pem is personal expenses manager
Summary: Review Request: pem - Pem is personal expenses manager
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-29 14:35 UTC by kushaldas@gmail.com
Modified: 2008-07-23 06:56 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-07-23 06:23:09 UTC
cwickert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description kushaldas@gmail.com 2008-04-29 14:35:42 UTC
Spec URL: http://kushal.fedorapeople.org/pem.spec
SRPM URL: http://kushal.fedorapeople.org/pem-0.7.1-1.fc9.src.rpm
Description: Pem, is personal expenses manager. Pem lets keep track of
personal income and expense in an extremely elegant manner

Comment 1 Christoph Wickert 2008-04-29 18:30:05 UTC
Kushal, I would be happy to review this package.

Comment 2 kushaldas@gmail.com 2008-04-29 19:27:30 UTC
thank you :)

Comment 3 Christoph Wickert 2008-04-29 21:07:44 UTC
REVIEW for 
cd9524c18ca7a86b1063b4b9f2b5c7d1  pem-0.7.1-1.fc9.src.rpm

OK - MUST: no output from rpmlint
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package
OK - MUST: package meets the Packaging Guidelines
FAIL - SHOULD: %description should end with a dot
OK - MUST: licensed with a Fedora approved license (GPLv2 only)
OK - MUST: license field in the spec file matches the actual license
OK - MUST: package includes a copy of the license text which is correctly
installed in %doc
OK - MUST: spec file is written in American English
OK - MUST: spec file is legible
OK - MUST: source matches upstream
FAIL - MUST: source URL is wrong. Source0 should be
http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz and URL
http://pjp.dgplug.org/tools/
OK - MUST: package successfully compiles and builds into binary rpms on x86_64.
OK - MUST: no ExcludeArch since this package is noarch
OK - MUST: all build requirements are listed in BuildRequires 
OK - MUST: no locales to care about
OK - MUST: no shared lib to care about
OK - MUST: not relocatable
OK - MUST: no directories to own
OK - MUST: no duplicate files in the %files listing
OK - MUST: permissions on files are set properly
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
OK - MUST: package uses macros consistently
OK - MUST: package contains code not content
OK - MUST: no large docs
OK - MUST: docs don't affect runtime
OK - MUST: no header files for a devel package
OK - MUST: no static libs
OK - MUST: no libtool archives
OK - MUST: no GUI, so no %{name}.desktop needed
OK - MUST: packages doesn't own files or directories already owned by other packages
OK - MUST: BuildRoot is properly prepared at the beginning of %install
OK - MUST: all filenames are valid UTF-8
OK - SHOULD: builds in mock
OK - SHOULD: functions as described
OK - SHOULD: Texinfo scriptlets are sane (taken from the wiki)

APPROVED, if you fix the errors. As they are trivial you can do this after the
cvs import but you NEED TO FIX them before build.

Comment 4 kushaldas@gmail.com 2008-04-30 07:25:16 UTC
thanks , errors fixed :)

Spec URL: http://kushal.fedorapeople.org/pem.spec
SRPM URL: http://kushal.fedorapeople.org/pem-0.7.1-2.fc9.src.rpm



Comment 5 kushaldas@gmail.com 2008-04-30 07:39:02 UTC
New Package CVS Request
=======================
Package Name: pem
Short Description: Pem is personal expenses manager
Owners: kushal
Branches: F-8 F-9 EL-5 OLPC-2
InitialCC: kushal
Cvsextras Commits: yes

Comment 6 kushaldas@gmail.com 2008-04-30 07:49:00 UTC
New Package CVS Request
=======================
Package Name: pem
Short Description: Personal Expenses Manager
Owners: kushal
Branches: F-8 F-9 EL-5
InitialCC: kushal
Cvsextras Commits: yes

I made some mistake in the previous request , this is the correct one.

Comment 7 Kevin Fenzi 2008-04-30 17:02:25 UTC
cvs done.

Comment 8 Christoph Wickert 2008-04-30 21:48:38 UTC
Kushal, if you use the spec from comment #4 there still is a typo in the
description:
  "Pem, is personal expenses manager."
should be
  "Pem is a personal expenses manager."


Comment 9 Christoph Wickert 2008-05-26 09:59:43 UTC
Kushal, can this review be closed?

Comment 10 kushaldas@gmail.com 2008-06-16 19:40:43 UTC
Sorry for the delay.
Rawhide build failed, other F9,F8,EPEL were successful

http://koji.fedoraproject.org/koji/taskinfo?taskID=664148

Comment 11 pjp 2008-06-17 07:46:18 UTC
> Rawhide build failed, other F9,F8,EPEL were successful

  Hey, please check out the latest release of Pem-0.7.2

at: http://pjp.dgplug.org/tools/pem-0.7.2.tar.gz

I've fixed the info dir entry problem. Please let me know in case of any other
issues.

Thank you!


Comment 12 kushaldas@gmail.com 2008-07-02 08:48:14 UTC
again rawhide failed due to same problem 
http://koji.fedoraproject.org/koji/getfile?taskID=691682&name=build.log


Comment 13 pjp 2008-07-02 10:28:55 UTC
  Hello Kushal, you need to add this

 rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

to the pem.spec under %install, after make install.

Comment 14 kushaldas@gmail.com 2008-07-02 11:21:48 UTC
My point is this is coming only in rawhide not in other branches ?

Comment 15 pjp 2008-07-02 11:29:29 UTC
I don't know, it should not happen like that. Anyway that `rm' command is necessary.

Comment 16 Mamoru TASAKA 2008-07-02 13:01:36 UTC
(In reply to comment #14)
> My point is this is coming only in rawhide not in other branches ?

Well, actually not exact. Even on dist-f9-updates-candidate
build fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=692056

You can reproduce this by:
$ PATH=/sbin:$PATH rpmbuild --rebuild pem-0.7.2-1.fc10.src.rpm
The point is to add "PATH=/sbin:$PATH". Actually on mockbuild, rpmbuild is executed
as mockbuild user but PATH is set as which root has.
Then you can find this part on Makefile.in:
----------------------------------------------------------------------------------
   680          @if (install-info --version && \
   681               install-info --version 2>&1 | sed 1q | grep -i -v debian)
>/dev/null 2>&1; then \
   682            list='$(INFO_DEPS)'; \
   683            for file in $$list; do \
   684              relfile=`echo "$$file" | sed 's|^.*/||'`; \
   685              echo " install-info --info-dir='$(DESTDIR)$(infodir)'
'$(DESTDIR)$(infodir)/$$relfile'";\
   686              install-info --info-dir="$(DESTDIR)$(infodir)"
"$(DESTDIR)$(infodir)/$$relfile" || :;\
   687            done; \
   688          else : ; fi
----------------------------------------------------------------------------------
This behavior (i.e. if install-info is found in PATH, install-info is executed
on install) is common for info files.

Comment 17 pjp 2008-07-10 08:46:13 UTC
Kushal: ping, did you build it again?

Comment 18 Mamoru TASAKA 2008-07-21 06:40:05 UTC
Kushal, ping?

Comment 19 kushaldas@gmail.com 2008-07-22 11:02:14 UTC
Build successfully on devel.
I messed up in F-9 branch with tagging. Will try to fix and fresh build once the
outage is over.

Comment 20 Fedora Update System 2008-07-23 06:31:32 UTC
pem-0.7.2-3.fc9 has been submitted as an update for Fedora 9

Comment 21 Fedora Update System 2008-07-23 06:56:25 UTC
pem-0.7.2-3.fc8 has been submitted as an update for Fedora 8


Note You need to log in before you can comment on or make changes to this bug.